ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
content_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_content_links (&$Settings)
| compile_content (&$Settings)
| compile_print_content_url (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $CategoryAlgorithms = false
| $ContentAccess = false
| $ContentAlgorithms = false
| $ContentView = false
| $Security = false
| $String = false

## Detailed Description

Class processes macro.

Author
  Dodonov A.A.

Definition at line 26 of file content_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 60 of file content_markup.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->CategoryAlgorithms = get_package( 'category::category_algorithms' , 'last' , __FILE__ );
$this->ContentAccess = get_package( 'content::content_access' , 'last' , __FILE__ );
$this->ContentAlgorithms = get_package( 'content::content_algorithms' , 'last' , __FILE__ );
$this->ContentView = get_package( 'content::content_view' , 'last' , __FILE__ );
$this->load_content_packages();
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_content | ( | & | $Settings | ) |

Function processes string.

Parameters

  $Settings | - Options of drawing.

Returns
  HTML code to display.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 189 of file content_markup.php.

{
try
{
$ContentId = $Settings->get_setting( 'content_id' );
$Settings->set_setting( 'content_view' , 1 );
$this->Security->set_g( 'content_id' , $ContentId );
$Code = $this->ContentView->view( $Settings );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_content_links | ( | & | $Settings | ) |

Function compiles articles.

Parameters

  $Settings | - Compilation parameters.

Returns
  HTML code of the list.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 139 of file content_markup.php.

{
try
{
$Articles = $this->get_articles( $Settings );
$Code = '{lang:no_articles_were_found}';
if( isset( $Articles[ 0 ] ) )
{
$TemplateName = $Settings->get_setting( 'template' , 'content_link.tpl' );
$Code = '';
foreach( $Articles as $Item )
{
$Code .= $this->CachedMultyFS->get_template( __FILE__ , $TemplateName );
$Code = $this->String->print_record( $Code , $Item );
}
}
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_print_content_url | ( | & | $Settings | ) |

Function processes string.

Parameters

  $Settings | - Options of drawing.

Returns
  HTML code to display.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 229 of file content_markup.php.

{
try
{
$ContentId = $Settings->get_setting( 'content_id' );
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'print_content_url.tpl' );
$Code = str_replace( '{content_id}' , $ContentId , $Code );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file content_markup.php.

$CategoryAlgorithms = false

Definition at line 39 of file content_markup.php.

$ContentAccess = false

Definition at line 40 of file content_markup.php.

$ContentAlgorithms = false

Definition at line 41 of file content_markup.php.

$ContentView = false

Definition at line 42 of file content_markup.php.

$Security = false

Definition at line 43 of file content_markup.php.

$String = false

Definition at line 44 of file content_markup.php.

The documentation for this class was generated from the following file:

- packages/content/packages/content_markup/content_markup.php